package com.xxfc.platform.vehicle.biz;

import com.github.wxiaoqi.security.common.biz.BaseBiz;
import com.github.wxiaoqi.security.common.msg.ObjectRestResponse;
import com.xxfc.platform.vehicle.entity.BookRecordUpdateLog;
import com.xxfc.platform.vehicle.mapper.BookRecordUpdateLogMapper;
import org.springframework.stereotype.Service;

@Service
public class BookRecordUpdateLogBiz extends BaseBiz<BookRecordUpdateLogMapper, BookRecordUpdateLog> {

    public ObjectRestResponse save(BookRecordUpdateLog bookRecordUpdateLog) {
        BookRecordUpdateLog oldValue = mapper.selectOne(bookRecordUpdateLog);
        if (oldValue != null) {
            return ObjectRestResponse.succ();
        }
        insertSelectiveRe(bookRecordUpdateLog);
        return ObjectRestResponse.succ();
    }

}
